Get an Accumulated Balance by ID

get

/accumulatedBalance/{id}

Gets the specified accumulated balance.

Request

Path Parameters
  • The internal account ID or external account ID of the account to get the accumulated balance for.
    Examples

Query Parameters
  • The type of object to return. Use type=AccumulatedBalance for a base object, or @type=AccumulatedBalanceOracle for an extended object.
  • The list of comma-separated fields to return in the response.
    Examples

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The accumulated balance was retrieved successfully.
Body ()
Root Schema : schema

400 Response

The request isn't valid.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

401 Response

The client doesn't have the correct privileges.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

403 Response

The request wasn't authorized.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

404 Response

The requested resource couldn't be found.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

405 Response

This method is not allowed.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

409 Response

The request could not be processed due to the conflict with the existing state of the resource.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

500 Response

The system encountered an internal error.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source
Back to Top

Examples

The path parameter specifies the accumulated balance's ID, which includes the account POID and currency component in these examples. The partyAccount.id response attribute identifies the account. Use the collection endpoint's partyAccount.id query parameter to filter by an external account ID.

Example 1: Get an Accumulated Balance by ID

The following example shows how to get the accumulated balance for an account by submitting a GET request with the accumulated balance's ID on the REST resource using cURL. For more information about cURL, see Use cURL.

curl -X GET 'http://host:port/brm/prepayBalanceManagement/version/accumulatedBalance/0.0.0.1+-account+173981+840'

Response Body

The following example shows the contents of the response body in JSON format.

{
  "id": "0.0.0.1+-account+173981+840",
  "href": "http://host:port/brm/prepayBalanceManagement/version/accumulatedBalance/0.0.0.1+-account+173981+840",
  "description": "",
  "name": "Rachel Douglas",
  "bucket": [
    {
      "id": "0.0.0.1+-balance_group+175837+840+0",
      "href": "http://host:port/brm/prepayBalanceManagement/version/bucket/0.0.0.1+-balance_group+175837+840+0",
      "name": "",
      "@baseType": "BucketRef",
      "@schemaLocation": null,
      "@type": "BucketRef",
      "@referredType": null
    }
  ],
  "logicalResource": {
    "@baseType": "LogicalResourceRef",
    "@referredType": null,
    "@schemaLocation": null,
    "@type": "LogicalResourceRef",
    "href": null,
    "id": null,
    "name": null,
    "value": ""
  },
  "partyAccount": {
    "id": "0.0.0.1+-account+173981",
    "href": null,
    "description": null,
    "name": "Rachel Douglas",
    "status": "active",
    "@baseType": "PartyAccountRef",
    "@schemaLocation": null,
    "@type": "PartyAccountRef",
    "@referredType": null
  },
  "product": [
    {
      "id": "aliasIMEIBase_0010",
      "href": null,
      "name": "ServiceTelcoGsmTelephony",
      "@baseType": "ProductRef",
      "@schemaLocation": null,
      "@type": "ProductRef",
      "@referredType": null
    }
  ],
  "relatedParty": [],
  "totalBalance": {
    "amount": 260.0,
    "units": "USD",
    "@baseType": null,
    "@schemaLocation": null,
    "@type": "Quantity"
  },
  "@baseType": "AccumulatedBalance",
  "@schemaLocation": "",
  "@type": "AccumulatedBalanceOracle",
  "billingCycleSpecification": [
    {
      "id": "0.0.0.1+-billinfo+174685",
      "href": "http://host:port/brm/accountManagement/v4/billingCycleSpecification/0.0.0.1+-billinfo+174685",
      "name": null
    }
  ],
  "unbilledBalance": {
    "amount": 260.0,
    "units": "USD",
    "@baseType": null,
    "@schemaLocation": null,
    "@type": "Quantity"
  },
  "originalBalance": {
    "amount": null,
    "units": null,
    "@baseType": null,
    "@schemaLocation": null,
    "@type": "Quantity"
  }
}

Example 2: Get an Accumulated Balance for an Account with an External ID

The following example shows how to get the accumulated balance for an account by submitting a GET request with the accumulated balance's ID on the REST resource using cURL. For more information about cURL, see Use cURL.

curl -X GET 'http://host:port/brm/prepayBalanceManagement/version/accumulatedBalance/0.0.0.1+-account+140598+840'

Response Body

The following example shows the contents of the response body in JSON format.

{
  "id": "0.0.0.1+-account+140598+840",
  "href": "http://host:port/brm/prepayBalanceManagement/version/accumulatedBalance/0.0.0.1+-account+140598+840",
  "description": "",
  "name": "Venkateswari Moorthy",
  "bucket": [
    {
      "id": "0.0.0.1+-balance_group+141494+840+0",
      "href": "http://host:port/brm/prepayBalanceManagement/version/bucket/0.0.0.1+-balance_group+141494+840+0",
      "name": "Balance Group<Account>",
      "@baseType": "BucketRef",
      "@schemaLocation": null,
      "@type": "BucketRef",
      "@referredType": null
    }
  ],
  "logicalResource": {
    "@baseType": "LogicalResourceRef",
    "@referredType": null,
    "@schemaLocation": null,
    "@type": "LogicalResourceRef",
    "href": null,
    "id": null,
    "name": null,
    "value": "472-20260410-072856-0-245742-906351744-cagbu-phx-1038"
  },
  "partyAccount": {
    "id": "test_account_140598",
    "href": null,
    "description": null,
    "name": "Venkateswari Moorthy",
    "status": "active",
    "@baseType": "PartyAccountRef",
    "@schemaLocation": null,
    "@type": "PartyAccountRef",
    "@referredType": null
  },
  "product": [
    {
      "id": "0.0.0.1+-service-telco-gsm-telephony+143030",
      "href": null,
      "name": "ServiceTelcoGsmTelephony",
      "@baseType": "ProductRef",
      "@schemaLocation": null,
      "@type": "ProductRef",
      "@referredType": null
    }
  ],
  "relatedParty": [],
  "totalBalance": {
    "amount": 176.21,
    "units": "USD",
    "@baseType": null,
    "@schemaLocation": null,
    "@type": "Quantity"
  },
  "@baseType": "AccumulatedBalance",
  "@schemaLocation": "",
  "@type": "AccumulatedBalance"
}
Back to Top